# LC Mod Manager

A very simplistic mod manager for games using BepInEx (like Lethal Company).

![example screenshot of the mod manager with some mods available and a subset of them installed](example_image.png)

This is basically a glorified zip-file manager and extractor.
The Manager stores mods you give it inside its own folder within the game directory (so that everything is close together).

## Requirements
It expects these mods to contain a `manifest.json` and `icon.png` like many do that originate from common mod sharing websites.
It requires the `manifest.json` to read the mod name, and its version for display.

The manager also expects [BepInEx](https://thunderstore.io/package/bbepis/BepInExPack/) to be already installed correctly.

The mod manager needs to be told where the game is though (Settings > Set game path). Just point it to the game folder as given by steam.

## Usage
You just add new mods (Mods > Add new mod) by selecting the downloaded zip-archive of them and they get automatically copied to the mod storage folder of the manager.

Now you can just tick them among the available mods and the mod manager extracts all files for you.

Uninstalling is just as easy! Just untick the mod again and it'll delete every file by that mod it knows through the zip-archive.

It handles mods you haven't given to the mod manger yet by showing them under installed and "Untracked" with the option to delete them.

__Note:__ For "untracked mods" the manager only deletes the dll-file it found of the mod. It doesn't know what other files might or might not be part of that mod unlike when it was supplied a zip-Archive of the mod in question.
